from django.contrib import admin
from django.contrib.auth.admin import UserAdmin

from topdownrbac.models import Role, RoleBinding, UserSubject


@admin.register(RoleBinding)
class RoleBindingAdmin(admin.ModelAdmin):
    pass

@admin.register(Role)
class RoleAdmin(admin.ModelAdmin):
    exclude = ('externally_provisioned',)

@admin.register(UserSubject)
class UserSubjectAdmin(UserAdmin):
    pass